Bug 435142 - direct installation option
direct installation option
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 11:39 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 13:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
loader patch (25.58 KB, patch)
2008-03-09 00:27 EST, Jerry Vonau
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2008-02-27 11:39:54 EST
Description of problem:

We need a boot loader option to directly perform a installation to hard disk
without booting as a livecd

Additional info:

This was discussed on list before but hasn't been implemented yet afaik.
Comment 1 Bill Nottingham 2008-02-27 12:53:10 EST
.... Why? *HOW*?

You'd still need to boot the livecd to run the installer.
Comment 2 Rahul Sundaram 2008-02-27 12:56:56 EST
Why? - This was already explained by me in the live cd list. Sometimes I know I
need to do a installation and I don't need to wait for the live cd to boot up
and I only have the live cd image available

How? idk. Jeremy said he was looking into implementing that. Maybe directly call
the installer or something. 
Comment 3 David Zeuthen 2008-02-27 12:57:34 EST
Presumably the boot option would enter a run level that brings up a very simple
session that starts the installer. From a usability point of view it kinda makes
sense. 

Except for the fact that the whole language/keyboard/a11y etc. selection would
go missing. And don't even try to ask for this in the bootloader; it's been
extensively discussed earlier and it's not going to happen.

So this is most likely WONTFIX.
Comment 4 Bill Nottingham 2008-02-27 13:07:18 EST
Even 'directly call the installer' means you boot the livecd, to run X, the
installer, etc. So you don't really gain anything.
Comment 5 Rahul Sundaram 2008-02-27 13:17:52 EST
From a end user perspective, they gain a direct straight forward method to do
this and it is likely to be more efficient since you don't have to wait for the
DE to show up on a live cd. This is significantly faster especially if you do it
on a relatively low resource system. Anyway since Jeremy Katz already said he is
looking into implementing this, this is mostly just a reminder. Take it or leave
it. 
Comment 6 Jeremy Katz 2008-02-27 13:20:24 EST
Add 'liveinst' (or 'textinst') to your bootloader paramters; the livecd
initscript will then launch anaconda instead of continuing with a normal boot.
Comment 7 David Zeuthen 2008-02-27 13:23:00 EST
This is just crap. Jeremy, how are you handling language/keyboard/a11y?
Comment 8 Jeremy Katz 2008-02-27 13:29:03 EST
(In reply to comment #7)
> This is just crap. Jeremy, how are you handling language/keyboard/a11y?

Language and keyboard get prompted for like they do in the normal case.  If you
want a11y, don't do this.  Yes, it sucks in all kinds of ways.  But it's not
like we're exposing it as "this is the best way to go about doing this", instead
it's a "for a small subset of users that have crazy needs, yes, we can let you
do what you want".  
Comment 9 David Zeuthen 2008-02-27 13:38:20 EST
As long as the option is not exposed in the UI it might be less bad. Though,
supporting more than one path is always interesting... 
Comment 10 Jerry Vonau 2008-03-09 00:27:25 EST
Created attachment 297348 [details]
loader patch
Comment 11 Jerry Vonau 2008-03-09 00:40:04 EST
Darn, my comments got wiped out....  This is rough proof of concept that uses
the livecd in place of stage2. pass livefs at the boot prompt, anaconda looks
for a livecd instead of stage2. liveinit is for a future "rebootless install",
mount the new system at /sysroot after the install and gets switch-rooted to a
running system. If there is interest, I'll port this to the current svn and
continue. If not, well it is just a pet project for me then. 

Note You need to log in before you can comment on or make changes to this bug.